Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039864
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-01-01 14:252020-07-10 04:14
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039864: Taxes are recalculated in Verified Returns receipts and it should not be done

DescriptionWhen one return receipt is created using verified return, the taxes are recalculated for this line, but it should not be done
Steps To ReproducePOS:
. create new receipt docNo: B1
. add line L1: tax selected Entregas IVA 21% is applied
. complete B1

BO:
. create new tax Entregas IVA 44% for IVA Normal Tax Category, with valid from 01-01-2019

POS:
. refresh browser
. Verified Return: select B1
. select line L1
L1 is added to current receipt with tax Entregas IVA 44% -> it is wrong, the correct tax should be Entregas IVA 21%

(see screnshots attached)
TagsNo tags attached.
Attached Filespng file icon BO_taxes.png [^] (52,456 bytes) 2019-01-01 14:27


png file icon POS.png [^] (122,068 bytes) 2019-01-01 14:27


diff file icon patch39864.diff [^] (949 bytes) 2019-01-01 18:07 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036530 closedjorge-garcia When opening a old ticket it is loaded with new taxes instead of the original ones 
depends on backport 0044558RR20Q3 resolvedranjith_qualiantech_com Taxes are recalculated in Verified Returns receipts and it should not be done 
has duplicate design defect 0038415 closedRetail When returning old ticket it is loaded with new taxes instead of the original ones 

-  Notes
(0121156)
marvintm (developer)
2020-06-30 10:47

This was working before, and was broken with the project of the new tax engine for IndexedDB.
(0121351)
hgbot (developer)
2020-07-09 11:40

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/29 [^]
(0121375)
hgbot (developer)
2020-07-09 15:34

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: a10db1ada10474ba38b8601e8e6a1658bbc58d23
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-07-09T13:14:57+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/a10db1ada10474ba38b8601e8e6a1658bbc58d23 [^]

Fixed issue-39864: Line tax should be added based on ValidFromDate for Order and Verified returns

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
M web/org.openbravo.retail.posterminal/js/taxesengine/pos/pos-taxes.js
---
(0121376)
hgbot (developer)
2020-07-09 15:34

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/29 [^]

- Issue History
Date Modified Username Field Change
2019-01-01 14:25 malsasua New Issue
2019-01-01 14:25 malsasua Assigned To => Retail
2019-01-01 14:25 malsasua Triggers an Emergency Pack => No
2019-01-01 14:27 malsasua File Added: BO_taxes.png
2019-01-01 14:27 malsasua File Added: POS.png
2019-01-01 15:15 malsasua Relationship added related to 0036530
2019-01-01 18:07 malsasua File Added: patch39864.diff
2020-06-29 16:11 ngarcia Relationship added related to 0038415
2020-06-29 16:21 ngarcia Relationship deleted related to 0038415
2020-06-29 16:22 ngarcia Relationship added duplicate of 0038415
2020-06-29 16:27 Leyre Type design defect => defect
2020-06-30 10:47 marvintm Note Added: 0121156
2020-07-01 15:56 ngarcia Relationship replaced has duplicate 0038415
2020-07-05 18:01 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-07-06 08:09 marvintm Status new => scheduled
2020-07-09 11:40 hgbot Note Added: 0121351
2020-07-09 15:34 hgbot Resolution open => fixed
2020-07-09 15:34 hgbot Status scheduled => closed
2020-07-09 15:34 hgbot Note Added: 0121375
2020-07-09 15:34 hgbot Note Added: 0121376
2020-07-10 04:14 hgbot Note Added: 0121381
2020-07-10 07:46 ranjith_qualiantech_com Note Deleted: 0121381


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker